# H225_GatekeeperConfirm Class Reference

`#include <h225.h>`

Inheritance diagram for H225_GatekeeperConfirm:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_gatekeeperIdentifier, e_alternateGatekeeper, e_authenticationMode, e_tokens, e_cryptoTokens, e_algorithmOID, e_integrity, e_integrityCheckValue, e_featureSet, e_genericData, e_assignedGatekeeper, e_rehomingModel }

## Public Member Functions

| H225_GatekeeperConfirm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ProtocolIdentifier | m_protocolIdentifier
H225_NonStandardParameter | m_nonStandardData
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_TransportAddress | m_rasAddress
H225_ArrayOf_AlternateGK | m_alternateGatekeeper
H235_AuthenticationMechanism | m_authenticationMode
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
PASN_ObjectId | m_algorithmOID
H225_ArrayOf_IntegrityMechanism | m_integrity
H225_ICV | m_integrityCheckValue
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
H225_AlternateGK | m_assignedGatekeeper
H225_RehomingModel | m_rehomingModel

## Member Enumeration Documentation

enum H225_GatekeeperConfirm::OptionalFields

Enumerator:

  e_nonStandardData |
  e_gatekeeperIdentifier |
  e_alternateGatekeeper |
  e_authenticationMode |
  e_tokens |
  e_cryptoTokens |
  e_algorithmOID |
  e_integrity |
  e_integrityCheckValue |
  e_featureSet |
  e_genericData |
  e_assignedGatekeeper |
  e_rehomingModel |

## Constructor & Destructor Documentation

H225_GatekeeperConfirm::H225_GatekeeperConfirm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_GatekeeperConfirm::GetDataLength | ( |  | ) | const

PBoolean H225_GatekeeperConfirm::Decode | ( | PASN_Stream & | strm | ) |

void H225_GatekeeperConfirm::Encode | ( | PASN_Stream & | strm | ) | const

void H225_GatekeeperConfirm::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_GatekeeperConfirm::Compare | ( | const PObject & | obj | ) | const

PObject* H225_GatekeeperConfirm::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_GatekeeperConfirm::m_requestSeqNum

H225_ProtocolIdentifier H225_GatekeeperConfirm::m_protocolIdentifier

H225_NonStandardParameter H225_GatekeeperConfirm::m_nonStandardData

H225_GatekeeperIdentifier H225_GatekeeperConfirm::m_gatekeeperIdentifier

H225_TransportAddress H225_GatekeeperConfirm::m_rasAddress

H225_ArrayOf_AlternateGK H225_GatekeeperConfirm::m_alternateGatekeeper

H235_AuthenticationMechanism H225_GatekeeperConfirm::m_authenticationMode

H225_ArrayOf_ClearToken H225_GatekeeperConfirm::m_tokens

H225_ArrayOf_CryptoH323Token H225_GatekeeperConfirm::m_cryptoTokens

PASN_ObjectId H225_GatekeeperConfirm::m_algorithmOID

H225_ArrayOf_IntegrityMechanism H225_GatekeeperConfirm::m_integrity

H225_ICV H225_GatekeeperConfirm::m_integrityCheckValue

H225_FeatureSet H225_GatekeeperConfirm::m_featureSet

H225_ArrayOf_GenericData H225_GatekeeperConfirm::m_genericData

H225_AlternateGK H225_GatekeeperConfirm::m_assignedGatekeeper

H225_RehomingModel H225_GatekeeperConfirm::m_rehomingModel

The documentation for this class was generated from the following file:

- h225.h